Bug 67180 - SH4 reverse proxy https to https return error 500
SH4 reverse proxy https to https return error 500
Product: Stronghold Cross Platform
Classification: Retired
Component: apache (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
Depends On:
  Show dependency treegraph
Reported: 2002-06-20 13:50 EDT by Need Real Name
Modified: 2007-04-18 12:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-06-26 07:48:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-06-20 13:50:20 EDT
Description of Problem:

Client (browser) shows error 500 (internal server error) when accessing a SH4 
reverse proxy with https with a SSL (https) connection to a back end server. 
SH4 access log shows the error code to be 136416647 instead of 500.

Version-Release number of selected component (if applicable):

SH 4.0-3

How Reproducible:

Easily Reproducible.

Steps to Reproduce:
1. In a default SH4 httpd.conf file, go to the end of the SSL Virtual Host 
container and add the following directives:

ProxyPass /testhttps/ https://somevalid.website/
ProxyPassReverse /testhttps/ https://somevalid.website/

2. Save the httpd.conf file
3. Restart SH4
4. Test using a browser to access https://yourwebsite/testhttps/
5. You will get "500 - Internal Server Error" displayed on your browser and 
the number 136416647 in your access_log where the error code should be.

Actual Results:

See item 5. above.

Expected Results:

The correct web page.

Additional Information:

Comment 1 Joe Orton 2002-06-26 07:47:57 EDT
This is occuring because the EAPI patch from mod_ssl 2.8.7 hasn't applied
correctly to the 1.3.22 mod_proxy.   I've re-diffed the patch and am now testing.
Comment 2 Joe Orton 2002-07-02 10:26:34 EDT
This will be fixed in the next SH4 build.

Note You need to log in before you can comment on or make changes to this bug.